[SM-Grimoire-Bugs] [Bug 15195] The runtime dependencies didn't recast on xorg-server's upgrade.

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Wed Apr 22 10:03:09 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15195





--- Comment #1 from Ladislav Hagara (lace) <hgr at vabo.cz>  2009-04-22 09:03:07 ---
There is a xorg-servers' UP_TRIGGERS with "up_trigger $each cast_self" for only
some xorg-server versions, for all other there is only "up_trigger $each
check_self".

There should be "up_trigger $each cast_self" if ABI major version is different.
How to get it (version 2.1 versus version 4.0)?


Before "cast -c xf86-input-evdev":

(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 2.1.3
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(EE) module ABI major version (2) doesn't match the server's version (4)
(II) UnloadModule: "evdev"
(II) Unloading /usr/lib/xorg/modules/input//evdev_drv.so
(EE) Failed to load module "evdev" (module requirement mismatch, 0)
(EE) No input driver matching `evdev'


After "cast -c xf86-input-evdev":

(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
        compiled for 1.6.1, module version = 2.1.3
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 4.0

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list